summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2025-01-03 15:43:27 +0000
committerLeah Rowe <leah@libreboot.org>2025-01-03 15:43:27 +0000
commitec6bcc1fba5fbdf8b19b3d1cf9711f3d4c9c3741 (patch)
tree8a3f60eec42953170e31e7fd727849615019d8b3 /script
parent5284f20b9811a65120837ab60e3ce02ca6937c37 (diff)
fix more unescaped quotes in eval
it should fix more build errors that might have appeared in the aforementioned revision, mentioned in the previous commit message Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script')
-rwxr-xr-xscript/trees2
1 files changed, 1 insertions, 1 deletions
diff --git a/script/trees b/script/trees
index e674282c..1ff94562 100755
--- a/script/trees
+++ b/script/trees
@@ -266,7 +266,7 @@ check_gnu_path()
gnu_setver()
{
- eval "$2 --version 1>/dev/null 2>/dev/null || return 1"
+ eval "\"$2\" --version 1>/dev/null 2>/dev/null || return 1"
eval "$1ver=\"`"$2" --version 2>/dev/null | head -n1`\""
eval "$1ver=\"\${$1ver##* }\""
eval "$1full=\"\$$1ver\""